project "Fencer-Core"
  kind "StaticLib"
  language "C"
  targetdir "bin/%{cfg.buildcfg}"
  staticruntime "off"

  files { "src/**.c" }
  includedirs { "src/" }

  targetdir ( "../bin" .. OutputDir .. "/%{prj.name}" )
  objdir ( "../intermediate" .. OutputDir .. "/%{prj.name}" )

  filter "system:windows"
    systemversion "latest"
    defines {}

  filter "configurations:Debug"
    defines { "DEBUG" }
    runtime "Debug"
    symbols "On"

  filter "configurations:Release"
    defines { "RELEASE" }
    runtime "Release"
    optimize "On"
    symbols "On"

  filter "configurations:Dist"
    defines { "DIST" }
    runtime "Release"
    optimize "On"
    symbols "Off"
