project "Game"
  kind "ConsoleApp"
  language "C"
  staticruntime "Off"
  targetdir "bin/%{cfg.buildcfg}"

  files { "src/*.c" }
  includedirs {
    "src/",
    "../core/src"
  }
  links {
    "Fencer-Core"
  }

  targetdir ("../bin" .. OutputDir .. "/%{prj.name}" )
  objdir ("../intermediate" .. OutputDir .. "/%{prj.name}" )

  filter "configurations:Debug"
    defines { "DEBUG" }
    runtime "Debug"
    symbols "On"

  filter "configurations:Release"
    defines { "RELEASE" }
    runtime "Release"
    optimize "On"
    symbols "On"

  filter "configurations:Dist"
    defines { "DIST" }
    runtime "Release"
    optimize "On"
    symbols "Off"
